# Uses of Class
org.apache.lucene.queryparser.flexible.core.nodes.FieldQueryNode

Packages that use FieldQueryNode
Package
Description
org.apache.lucene.queryparser.flexible.core.nodes
Query nodes commonly used by query parser implementations.
org.apache.lucene.queryparser.flexible.standard.nodes
Standard Lucene Query Nodes.

- ## Uses of FieldQueryNode in org.apache.lucene.queryparser.flexible.core.nodes

  Subclasses of FieldQueryNode in org.apache.lucene.queryparser.flexible.core.nodes
  Modifier and Type
  Class
  Description
  `class`
  `FuzzyQueryNode`
  A `FuzzyQueryNode` represents a element that contains field/text/similarity tuple
  `class`
  `QuotedFieldQueryNode`
  A `QuotedFieldQueryNode` represents phrase query.
  Methods in org.apache.lucene.queryparser.flexible.core.nodes that return FieldQueryNode
  Modifier and Type
  Method
  Description
  `FieldQueryNode`
  FieldQueryNode.`cloneTree()`

- ## Uses of FieldQueryNode in org.apache.lucene.queryparser.flexible.standard.nodes

  Subclasses of FieldQueryNode in org.apache.lucene.queryparser.flexible.standard.nodes
  Modifier and Type
  Class
  Description
  `class`
  `PrefixWildcardQueryNode`
  A `PrefixWildcardQueryNode` represents wildcardquery that matches abc* or *.
  `class`
  `WildcardQueryNode`
  A `WildcardQueryNode` represents wildcard query This does not apply to phrases.
  Constructors in org.apache.lucene.queryparser.flexible.standard.nodes with parameters of type FieldQueryNode
  Modifier
  Constructor
  Description
  ``
  `PrefixWildcardQueryNode(FieldQueryNode fqn)`
  ``
  `TermRangeQueryNode(FieldQueryNode lower, FieldQueryNode upper, boolean lowerInclusive, boolean upperInclusive)`
  Constructs a `TermRangeQueryNode` object using the given `FieldQueryNode` as its bounds.
  ``
  `WildcardQueryNode(FieldQueryNode fqn)`